/*
 *     RateLimitedResponse.kt
 *     Gugal
 *     Copyright (c) 2025 thegreatporg
 *
 *     This program is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package com.porg.gugal.providers.responses

/**
 * A special error response returned when the app is rate limited.
 *
 * If Gugal receives this response it will ask the user to try searching later.
 */
class RateLimitedResponse: ErrorResponse("_RateLimitedResponse", "_RLR")